# Class ExternalLink

java.lang.Object
com.databricks.jdbc.model.core.ExternalLink

public class ExternalLink extends Object
External link POJO

TODO: Replace this class with the corresponding SDK implementation once it becomes available

## Constructor Summary

Constructors
Constructor
Description
`ExternalLink()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`Long`
`getByteCount()`
`Long`
`getChunkIndex()`
`String`
`getExpiration()`
`String`
`getExternalLink()`
`Map<String,String>`
`getHttpHeaders()`
`Long`
`getNextChunkIndex()`
`String`
`getNextChunkInternalLink()`
`Long`
`getRowCount()`
`Long`
`getRowOffset()`
`int`
`hashCode()`
`ExternalLink`
`setByteCount(Long byteCount)`
`ExternalLink`
`setChunkIndex(Long chunkIndex)`
`ExternalLink`
`setExpiration(String expiration)`
`ExternalLink`
`setExternalLink(String externalLink)`
`ExternalLink`
`setHttpHeaders(Map<String,String> httpHeaders)`
`ExternalLink`
`setNextChunkIndex(Long nextChunkIndex)`
`ExternalLink`
`setNextChunkInternalLink(String nextChunkInternalLink)`
`ExternalLink`
`setRowCount(Long rowCount)`
`ExternalLink`
`setRowOffset(Long rowOffset)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ExternalLink

public ExternalLink()

## Method Details

### setByteCount

public ExternalLink setByteCount(Long byteCount)

### getByteCount

public Long getByteCount()

### setChunkIndex

public ExternalLink setChunkIndex(Long chunkIndex)

### getChunkIndex

public Long getChunkIndex()

### setExpiration

public ExternalLink setExpiration(String expiration)

### getExpiration

public String getExpiration()

### setExternalLink

public ExternalLink setExternalLink(String externalLink)

### setHttpHeaders

public ExternalLink setHttpHeaders(Map<String,String> httpHeaders)

### getHttpHeaders

public Map<String,String> getHttpHeaders()

### getExternalLink

public String getExternalLink()

### setNextChunkIndex

public ExternalLink setNextChunkIndex(Long nextChunkIndex)

### getNextChunkIndex

public Long getNextChunkIndex()

### setNextChunkInternalLink

public ExternalLink setNextChunkInternalLink(String nextChunkInternalLink)

### getNextChunkInternalLink

public String getNextChunkInternalLink()

### setRowCount

public ExternalLink setRowCount(Long rowCount)

### getRowCount

public Long getRowCount()

### setRowOffset

public ExternalLink setRowOffset(Long rowOffset)

### getRowOffset

public Long getRowOffset()

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`